Name:           ukui-sidebar
Version:        4.0.1.6
Release:        2
Summary:        parallels toolbox for UKUI
License:        GPL-3.0+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

Patch01:        ukui-sidebar-4.0.1.6-remove-KWindowEffects-enableBlurBehindWithStrength.patch
Patch02:        ukui-sidebar-4.0.1.6-not-open-display.patch

BuildRequires:  cmake
BuildRequires:  pkgconf
BuildRequires:  qtchooser
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  libxcb-devel
BuildRequires:  opencv
BuildRequires:  gsettings-qt-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  libkysdk-sysinfo-devel
BuildRequires:  libkysdk-waylandhelper-devel
BuildRequires:  libukui-notification-devel


Requires:  libukui-shortcut0
Requires:  qml-module-org-ukui-sidebar-items 
Requires:  ukui-notification-server      


%description
 The ukui-sidebar is mainly used in the desktop operating system.
 It pops up from the right side of the desktop in the form of a tray,
 displaying some application notification messages and some cutting
 storage information.


%package -n qml-module-org-ukui-sidebar-items
Summary:     Items plugin for ukui-sidebar.
License:     GPL-3.0+

%description -n qml-module-org-ukui-sidebar-items
Items plugin for ukui-sidebar.

%package -n libukui-shortcut0
Summary:     Libraries for shortcut feature in ukui-sidebar.
License:     GPL-3.0+
Provides:    libukui-shortcut0

%description -n libukui-shortcut0
Libraries for shortcut feature in ukui-sidebar.

%package -n libukui-shortcut-dev
Summary:     Libraries for shortcut feature in ukui-sidebar(development files).
License:     GPL-3.0+
Requires:    libukui-shortcut0

%description -n libukui-shortcut-dev
Libraries for shortcut feature in ukui-sidebar(development files).



%prep
%autosetup -n %{name}-%{version} -p1


%build
mkdir build && pushd build
%cmake ..
%{make_build}
popd


%install
pushd build
rm -rf $RPM_BUILD_ROOT
%{make_install} DESTDIR=%{buildroot}
popd

mkdir -p %{buildroot}/usr/share/man
cp man/ukui-sidebar.1 %{buildroot}/usr/share/man/


%clean
rm -rf $RPM_BUILD_ROOT

%postun


%files 
%doc debian/copyright debian/changelog
%{_bindir}/ukui-sidebar
%{_sysconfdir}/xdg/autostart/ukui-sidebar.desktop
%{_datadir}/ukui-sidebar/translations
%{_datadir}/man/ukui-sidebar.1

%files -n libukui-shortcut0
%{_libdir}/libukui-shortcut.so.*
%{_libdir}/ukui-shortcut-plugins
%{_datadir}/ukui-sidebar/ukui-shortcut/shortcuts 

%files -n libukui-shortcut-dev
%{_libdir}/pkgconfig
%{_datadir}/cmake/ukui-shortcut
%{_includedir}/ukui-shortcut
%{_libdir}/libukui-shortcut.so

%files -n qml-module-org-ukui-sidebar-items
%{_libdir}/qt5/qml/org/ukui/sidebar/items


%changelog
* Mon Sep 09 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.1.6-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add ukui-sidebar-4.0.1.6-not-open-display.patch

* Mon Apr 08 2024 huayadong <huayadong@kylinos.cn> - 4.0.1.6-1
- update version to 4.0.1.6

* Fri Jun 30 2023 peijiankang <peijiankang@kylinos.cn> - 3.3.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add 0002-fix-userinfo-error-in-sidebar.patch

* Sat Jun 17 2023 huayadong <huayadong@kylinos.cn> - 3.3.0-4
- remove Recommends: ukui-notebook ukylin-feedback-client ukui-clock

* Fri Feb 10 2023 peijiankang <peijiankang@kylinos.cn> - 3.3.0-3
- add build debuginfo and debugsource

* Thu Jan 12 2023 peijiankang <peijiankang@kylinos.cn> - 3.3.0-2
- fix get Weather error

* Mon Oct 31 2022 peijiankang <peijiankang@kylinos.cn> - 3.3.0-1
- update version to 3.3.0

* Mon Aug 8 2022 huayadong <huayadong@kylinos.cn> - 3.0.1-12
- Fix alarm clock modify the alarm time to one

* Mon Aug 8 2022 huayadong <huayadong@kylinos.cn> - 3.0.1-11
- fix alarm clock in all drop down boxes the highlig

* Mon May 09 2022 pei-jiankang <peijiankang@kylinos.cn> - 3.0.1-10
- add qt5-qtx11extras-devel Requires

* Wed Apr 06 2022 huayadong <huayadong@kylinos.cn> - 3.0.1-9
- Optimize new and close logic

* Wed Apr 06 2022 tanyulong <tanyulong@kylinos.cn> - 3.0.1-8
- add yaml file

* Thu Dec 09 2021 huayadong <huayadong@kylinos.cn> - 3.0.1-7
- Add patch: ukui-sidebar-repair-clock-stopwatch-when-not-started-reset-button.patch

* Tue Dec 07 2021 huayadong <huayadong@kylinos.cn> - 3.0.1-6
- update to upstream version 3.0.0-1+1107

* Fri Dec 03 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-5
- modify and update changelog

* Wed Nov 10 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-4
- remove junk files

* Mon Nov 08 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-3
- modify conflict

* Tue Nov 02 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.1-2
- add changlog

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.1-1
- update to upstream version 3.0.0-1+1103

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 1.1.2-1
- Init package for openEuler
